%global pypi_name django-crum
%global srcname django_crum
%global module_name crum
%global commitId eeb350fc963360633b70472f06ddc6201ece5387

%global common_description %{expand:
Django-CRUM (Current Request User Middleware) captures the current request and user in thread local storage.}

%global common_summary %{expand: Django middleware to capture current request and user.}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.7.9
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            https://github.com/ninemoreminutes/django-crum

Source0:        python-django-crum-eeb350fc963360633b70472f06ddc6201ece5387.tar.gz

Patch0: 	01-setup-cfg.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

Requires:       python%{python3_pkgversion}-django >= 1.8

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -p1 -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Sep 21 2023 Ricardo Carrillo Cruz <ricarril@redhat.com> - 0.7.9-1
- Initial Build
